# This file created by conda-build 3.9.1+193.gd10dbde.dirty
# ------------------------------------------------

package:
    name: libgdal
    version: 2.2.4
source:
    patches:
        - 124f0343436d1267319ac627fc220530091b41ea.patch
        - clang.patch
        - disable_jpeg12.patch
        - install_scripts.patch
        - multiprocessor.patch
        - windowshdf5.patch
    sha256: 441eb1d1acb35238ca43a1a0a649493fc91fdcbab231d0747e9d462eea192278
    url: https://download.osgeo.org/gdal/2.2.4/gdal-2.2.4.tar.xz
build:
    number: 1
    run_exports:
        - libgdal >=2.2.4,<2.3.0a0
    string: ha208382_1
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - clangxx 4.0.1 hc9b4283_0
        - clangxx_osx-64 4.0.1 h22b1bf0_11
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libiconv 1.15 hdd342a3_7
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
        - pkg-config 0.29.2 h3efe00b_8
    host:
        - bzip2 1.0.6 h1de35cc_5
        - ca-certificates 2018.03.07 0
        - cairo 1.14.12 hc4e6be7_3
        - curl 7.60.0 ha441bb4_0
        - expat 2.2.5 hb8e80ba_0
        - fontconfig 2.13.0 h5d5b041_1
        - freetype 2.9.1 hb4e5f40_0
        - freexl 1.0.5 h1de35cc_0
        - geos 3.6.2 h5470d99_2
        - gettext 0.19.8.1 h15daf44_3
        - giflib 5.1.4 h1035379_1
        - glib 2.56.1 h35bc53a_0
        - hdf4 4.2.13 h39711bb_2
        - hdf5 1.8.18 h017327d_1
        - icu 58.2 h4b95b61_1
        - jpeg 9b he5867d9_2
        - json-c 0.13.1 h3efe00b_0
        - kealib 1.4.7 haa18932_5
        - libboost 1.67.0 hebc422b_4
        - libcurl 7.60.0 hf30b1f0_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libdap4 3.19.0 h3d3e54a_2
        - libedit 3.1.20170329 hb402a30_2
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.15 hdd342a3_7
        - libkml 1.3.0 hbe12b63_4
        - libnetcdf 4.6.1 hca06a9a_0
        - libpng 1.6.34 he12f830_0
        - libpq 10.3 hf30b1f0_0
        - libspatialite 4.3.0a ha12ebda_19
        - libssh2 1.8.0 h322a93b_4
        - libtiff 4.0.9 hcb84e12_1
        - libuuid 1.0.3 h6bb4b03_2
        - libxml2 2.9.8 hab757c2_1
        - ncurses 6.1 h0a44026_0
        - openjpeg 2.3.0 hb95cd4c_1
        - openssl 1.0.2o h26aff7b_0
        - pcre 8.42 h378b8a2_0
        - pixman 0.34.0 hca0a616_3
        - poppler 0.65.0 ha097c24_1
        - poppler-data 0.4.9 0
        - postgresql 10.3 hf30b1f0_0
        - proj4 5.0.1 h1de35cc_0
        - readline 7.0 hc1231fa_4
        - sqlite 3.24.0 ha441bb4_0
        - xerces-c 3.2.1 h44e365a_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - expat >=2.2.5,<3.0a0
        - freexl >=1.0.5,<2.0a0
        - geos >=3.6.2,<3.6.3.0a0
        - giflib >=5.1.4,<5.2.0a0
        - hdf4 >=4.2.13,<4.2.14.0a0
        - hdf5 >=1.8.18,<1.8.19.0a0
        - icu >=58.2,<59.0a0
        - jpeg >=9b,<10a
        - json-c >=0.13.1,<0.14.0a0
        - kealib >=1.4.7,<1.5.0a0
        - libcurl >=7.60.0,<8.0a0
        - libcxx >=4.0.1
        - libdap4 >=3.19.0,<3.20.0a0
        - libiconv >=1.15,<2.0a0
        - libkml >=1.3.0,<1.4.0a0
        - libnetcdf >=4.6.1,<5.0a0
        - libpng >=1.6.34,<1.7.0a0
        - libpq >=10.3,<11.0a0
        - libspatialite >=4.3.0a,<4.4.0a0
        - libtiff >=4.0.9,<5.0a0
        - libuuid >=1.0.3,<2.0a0
        - libxml2 >=2.9.8,<2.10.0a0
        - openjpeg >=2.3.0,<3.0a0
        - openssl >=1.0.2o,<1.0.3a
        - pcre >=8.42,<9.0a0
        - poppler >=0.65.0,<1.0a0
        - proj4 >=5.0.1,<5.0.2.0a0
        - sqlite >=3.24.0,<4.0a0
        - xerces-c >=3.2.1,<3.3.0a0
        - xz >=5.2.4,<6.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - gdal_grid --version
        - gdal_rasterize --version
        - gdal_translate --version
        - gdaladdo --version
        - gdalenhance --version
        - gdalwarp --version
        - gdalinfo --formats
        - gdalinfo http://thredds.nersc.no/thredds/dodsC/greenpath/Model/topaz
        - conda inspect linkages -p $PREFIX libgdal
        - conda inspect objects -p $PREFIX libgdal
    files:
        - test_data
about:
    summary: The Geospatial Data Abstraction Library (GDAL).
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - gillins
        - kmuehlbauer
        - mingwandroid
        - msarahan
        - ocefpaf
